## NOTE Please read README_packaging.txt before updating this package.
%define _disable_ld_no_undefined 1
%global __requires_exclude ^lib(S57ENC|GARMINHOST|TEXCMP|NMEA0183)\\.so.*$
%define tarname	OpenCPN

Name:		opencpn
Summary:	A concise Chartplotter and Navigation software
Version:	5.2.4
Release:	%mkrel 2
License:	GPLv2+
Group:		Geography
URL:		http://opencpn.org/ocpn/
Source0:	https://github.com/%{tarname}/%{tarname}/archive/v%{version}/%{tarname}-%{version}.tar.gz
Source1:	README_packaging.txt
Source2:	get-plugins

Patch1:		opencpn-5.0.0-mga-missing_glx_include.patch
Patch2:		opencpn-5.0.2-mga-cmaklists.txt_wkgtk_version.patch
Patch3:		opencpn-5.2.4-mga-cmakelists.txt_wxgtk_test.patch

BuildRequires:	git
BuildRequires:	bzip2-devel
BuildRequires:	cmake
BuildRequires:	gettext
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(libarchive)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libexif)
BuildRequires:	pkgconfig(libgps)
BuildRequires:	pkgconfig(portaudio-2.0)
BuildRequires:	pkgconfig(sndfile)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(tinyxml)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	wxgtk3.1-devel

Requires:	gpsd-clients

Recommends:	opencpn-ais-radar-plugin
Recommends:	opencpn-br24radar-plugin
Recommends:	opencpn-celestial-navigation-plugin
Recommends:	opencpn-chartdldr-plugin
Recommends:	opencpn-climatology-plugin
Recommends:	opencpn-iacfleet-plugin
Recommends:	opencpn-logbookkonni-plugin
Recommends:	opencpn-objsearch-plugin
Recommends:	opencpn-oesenc-plugin
Recommends:	opencpn-polar-plugin
Recommends:	opencpn-route-plugin

#Recommends:	opencpn-s63-plugin (license issues - currently excluded from Mga)
Recommends:	opencpn-sar-plugin
Recommends:	opencpn-squiddio-plugin
Recommends:	opencpn-statusbar-plugin
Recommends:	opencpn-watchdog-plugin
Recommends:	opencpn-weather-routing-plugin
Recommends:	opencpn-weatherfax-plugin

%description
A cross-platform ship-borne GUI application supporting
* GPS/GPDS Position Input
* BSB Raster Chart display
* S57 Vector ENC chart display
* CM93 Vector chart display
* AIS Input Decoding
* Waypoint Autopilot Navigation

Pilot charts can be downloaded from http://opencpn.org/ocpn/pilotcharts
Other useful add-ons may be found inside the "Download" link at
http://opencpn.org/ocpn

%prep
%autosetup -p1 -n %{tarname}-%{version}

rm -rf plugins/chartdldr_pi

# Be sure to use system tinyxml headers and not bundled ones
rm -f src/tinyxml*.cpp include/tinyxml.h

%build
%cmake \
	-DBUNDLE_DOCS=ON \
	-DBUNDLE_TCDATA=ON \
	-DBUNDLE_GSHHS=CRUDE \
	-DBUILD_SHARED_LIBS=OFF \
	-DNDEBUG=ON \
	-DOCPN_FORCE_GTK3=ON
	
%cmake_build

%install
%cmake_install

%find_lang %{name}
%find_lang %{name}-grib_pi
%find_lang %{name}-dashboard_pi
%find_lang %{name}-wmm_pi

desktop-file-install  \
 --dir=%{buildroot}%{_datadir}/applications \
 --remove-category='Science' \
  %{buildroot}%{_datadir}/applications/%{name}.desktop

cp -f data/license.txt %{buildroot}%{_datadir}/%{name}/doc
cp -f data/doc/help_en_US.html %{buildroot}%{_datadir}/%{name}/doc

# Remove Debian-only docs
rm -rf %{buildroot}%{_datadir}/doc/%{name}

%files -f %{name}.lang -f %{name}-dashboard_pi.lang -f %{name}-grib_pi.lang -f %{name}-wmm_pi.lang
%doc README
%{_bindir}/*
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/metainfo/%{name}.appdata.xml
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_mandir}/man1/%{name}.1*


%changelog
* Fri Jan 01 2021 wally <wally> 5.2.4-2.mga8
+ Revision: 1667716
- rebuild for wxgtk pre 3.1.5 snapshot

* Wed Oct 28 2020 barjac <barjac> 5.2.4-1.mga8
+ Revision: 1640303
- new version 5.2.4
- patch to fix build
- bug fixed in get-plugins script, and oesenc plugin added
- oesenc plugin added to Recommends

* Sun Aug 16 2020 wally <wally> 5.2.0-2.mga8
+ Revision: 1614356
- rebuild for new wxgtk 3.1.4

* Fri Jul 17 2020 barjac <barjac> 5.2.0-1.mga8
+ Revision: 1606794
- new version 5.2.0
- removed aarch plugin dir patch as no mention of aarch64 in CMakeLists.txt now
- patched CMakeLists.txt hack to use wxwidgets-3.1
- Adjusted files lists
- fix bug in get-plugins script

* Wed Feb 19 2020 barjac <barjac> 5.0.0-5.mga8
+ Revision: 1544942
- update aarch64 lib path patch
- add patch for missing #include
- add new BR libarchive
- build against wxgtk3.1
- use %%autosetup
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros
- rebuild for wxgtk 3.1.3

* Sat Jul 13 2019 wally <wally> 5.0.0-2.mga8
+ Revision: 1421007
- rebuild with gtk3 enabled wxgtk 3.1.2

* Wed Mar 27 2019 barjac <barjac> 5.0.0-1.mga7
+ Revision: 1380619
- new version 5.0.0
- patch from upstream to fix wxgtk link issues
- add missing BRs
- update files list
- remove recommended s63 plugin which was dropped due to unclear licensing
- Fix get-plugins script to not skip some version minors
- above does not affect this package so no need to rebuild

* Sat Jan 19 2019 barjac <barjac> 4.8.8-1.mga7
+ Revision: 1358019
- new version 4.8.8

* Sun Sep 23 2018 umeabot <umeabot> 4.8.2-3.mga7
+ Revision: 1299989
- Mageia 7 Mass Rebuild
+ wally <wally>
- build with exif

* Sun Jul 22 2018 wally <wally> 4.8.2-2.mga7
+ Revision: 1244916
- add patch to install aarch64 plugin modules to /usr/lib64/opencpn

* Tue Feb 20 2018 barjac <barjac> 4.8.2-1.mga7
+ Revision: 1203425
- new version 4.8.2

* Thu Dec 28 2017 barjac <barjac> 4.8.0-1.mga7
+ Revision: 1186585
- new version 4.8.0
- simplify & fix files list

* Sat Jun 03 2017 akien <akien> 4.4.0-2.mga6
+ Revision: 1106104
- Rebuild for wxgtk 3.0.3.1

* Sun Oct 09 2016 barjac <barjac> 4.4.0-1.mga6
+ Revision: 1059874
- new version 4.4.0

* Thu Jun 02 2016 daviddavid <daviddavid> 4.2.0-4.mga6
+ Revision: 1019819
- rebuild for wxgtk3.0 built with GTK2
+ barjac <barjac>
- really delete old source tarball

* Mon Mar 14 2016 barjac <barjac> 4.2.0-3.mga6
+ Revision: 990599
- use correct tarball from github

* Tue Feb 16 2016 barjac <barjac> 4.2.0-2.mga6
+ Revision: 962304
- changed buildrequire wxgtku3.0

* Tue Feb 09 2016 barjac <barjac> 4.2.0-1.mga6
+ Revision: 951178
- new version 4.2.0
- remove old external plugin sources
- split out all plugins
- _disable_ld_no_undefined
- patch to use O2 optimization in CMakeLists.txt
- use %%cmake macro
- build with wxgtku2.8 not 3
- prepare get-plugins for plugin source version checking

* Tue Nov 03 2015 barjac <barjac> 4.0.0-2.mga6
+ Revision: 897645
- added plugin sub-packages
- added get-plugins script to ease maintenence and version the tarballs
- patched celestial plugin to fix build
- enabled conditional plugin inclusion, currently exluding 3 that fail to build
- thanks to Philippe Didier for his help with this package

* Sun Oct 25 2015 barjac <barjac> 4.0.0-1.mga6
+ Revision: 895071
- new version 4.0.0
- patch to fix build with gcc-5.x

* Fri Aug 28 2015 cjw <cjw> 3.2.2-6.mga6
+ Revision: 870481
- rebuild with gcc 5

* Wed Oct 15 2014 umeabot <umeabot> 3.2.2-5.mga5
+ Revision: 744956
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.2.2-4.mga5
+ Revision: 683200
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Sat Oct 19 2013 umeabot <umeabot> 3.2.2-3.mga4
+ Revision: 528586
- Mageia 4 Mass Rebuild

* Mon Jun 24 2013 barjac <barjac> 3.2.2-2.mga4
+ Revision: 446085
- fix description
+ philippedidier <philippedidier>
- restore commented source link in spec file

* Tue May 28 2013 philippedidier <philippedidier> 3.2.2-1.mga4
+ Revision: 429034
- remove old source
- update to 3.2.2 (maintenance release)
 > - correction of several minor operational faults and special case
  configurations

* Sun Mar 24 2013 barjac <barjac> 3.2.0-1.mga3
+ Revision: 404858
- new version 3.2.0

* Sun Jan 13 2013 umeabot <umeabot> 3.0.2-2.mga3
+ Revision: 361951
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 07 2012 barjac <barjac> 3.0.2-1.mga3
+ Revision: 327947
- Imported original from Mandriva, updated thanks to Philippe Didier


* Thu Nov 06 2012 Philippe Didier <> 3.0.2-3.mga2
+ same version built with the Konni's logbook plugin, splitted in 2 rpms

* Tue Oct 30 2012 Philippe Didier <> 3.0.2-2.mga2
+ same version built with the Konni's logbook plugin

* Sun Oct 28 2012 Philippe Didier <> 3.0.2-1.mga2
+ Import into Mageia (long time since initial spec for Mandriva 2008.1 improved by Funda)
- new version 3.0.2 : no patch needed now, desktop file provided in source

* Sun Feb 07 2010 Funda Wang <fwang@mandriva.org> 1.3.6-1mdv2010.1
+ Revision: 501636
- fix summary
- import opencpn
